#ifndef BISON_PARSER_TAB_H
# define BISON_PARSER_TAB_H

# ifndef YYSTYPE
#  define YYSTYPE int
#  define YYSTYPE_IS_TRIVIAL 1
# endif

#ifndef YYLTYPE
typedef struct yyltype
{
  int first_line;
  int first_column;

  int last_line;
  int last_column;
} yyltype;

# define YYLTYPE yyltype
# define YYLTYPE_IS_TRIVIAL 1
#endif

# define	INT	257
# define	FLOAT	258
# define	ID	259
# define	STRING	260
# define	TYVAR	261
# define	CHAR	262
# define	LEX_ERROR	263
# define	KW_AS	264
# define	KW_BOOL	265
# define	KW_BREAK	266
# define	KW_CASE	267
# define	KW_CONTINUE	268
# define	KW_DEF	269
# define	KW_DO	270
# define	KW_ELSE	271
# define	KW_EXCEPTION	272
# define	KW_EXTERN	273
# define	KW_FALSE	274
# define	KW_FINALLY	275
# define	KW_FLOAT	276
# define	KW_FOR	277
# define	KW_FUN	278
# define	KW_IF	279
# define	KW_IN	280
# define	KW_INT	281
# define	KW_LET	282
# define	KW_NULL	283
# define	KW_OPEN	284
# define	KW_OPT_STRUCT	285
# define	KW_RAISE	286
# define	KW_RETURN	287
# define	KW_SECTION	288
# define	KW_SKIP	289
# define	KW_STRING	290
# define	KW_STRUCT	291
# define	KW_SWITCH	292
# define	KW_TRUE	293
# define	KW_TRY	294
# define	KW_TYPE	295
# define	KW_TYPEDEF	296
# define	KW_UNION	297
# define	KW_VOID	298
# define	KW_WHILE	299
# define	KW_WITH	300
# define	AND_AND	301
# define	OR_OR	302
# define	ARROW	303
# define	GTGT	304
# define	LTLT	305
# define	DOUBLECOLON	306
# define	EQ	307
# define	NE	308
# define	GE	309
# define	LE	310
# define	MINUS_EQUAL	311
# define	PERCENT_EQUAL	312
# define	PLUS_EQUAL	313
# define	SLASH_EQUAL	314
# define	STAR_EQUAL	315
# define	AND_EQUAL	316
# define	OR_EQUAL	317
# define	XOR_EQUAL	318
# define	LTLT_EQUAL	319
# define	GTGT_EQUAL	320
# define	MINUS_MINUS	321
# define	PLUS_PLUS	322
# define	UMINUS	323


extern YYSTYPE yylval;

#endif /* not BISON_PARSER_TAB_H */
